\name{DeleteInfEngine}
\alias{DeleteInfEngine}

\title{
DeleteInfEngine
}

\description{
Delete an inference engine object.
}

\usage{
DeleteInfEngine (engine)
}

\arguments{
  \item{engine}{external pointer to the inference engine C++ object.}
}

\value{
\code{NULL}.
}

\seealso{
 \code{\link{NewInfEngine}}, \code{\link{GetInfEngineType}} 
}

\examples{

# create engine
engine  <- NewInfEngine(inf.type="importance", num.samples=1000)

# delete engine
engine  <- DeleteInfEngine(engine)
garbage <- gc()
}

\keyword{ delete inference engine }
