\name{SaveRCtbn}
\alias{SaveRCtbn}

\title{
SaveRCtbn
}

\description{
Save the CTBN object in a rctbn format file.
}

\usage{
SaveRCtbn (xpCtbn, pathfile)
}

\arguments{
\item{xpCtbn}{external pointer to the CTBN C++ model.}

\item{pathfile}{character. File to save the CTBN C++ model.}
}

\seealso{
 \code{\link{LoadRCtbn}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

SaveRCtbn(xpCtbn, "myDrugNetwork.rctbn")

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ save R ctbn model }
