\name{DeleteCtbn}
\alias{DeleteCtbn}

\title{
DeleteCtbn
}
\description{
Delete a continuous-time Bayesian network (CTBN) object.
}
\usage{
DeleteCtbn (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
\code{NULL}.
}

\seealso{
 \code{\link{NewCtbn}}, \code{\link{CloneCtbn}} 
}

\examples{

# create ctbn
vars    <- data.frame(Name=c("X1","X2"), Value=c(2,3), check.names=FALSE)
xpCtbn  <- NewCtbn(vars)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}
\keyword{ delete ctbn }
